Subject: bug#31950: closed (Re: bug#31950: 26.1; skeleton: ‘recenter’inga window that does not display current-buffer.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Jun 2018 11:06:02 +0000

Your bug report

#31950: 26.1; skeleton: ‘recenter’ing a window that does not display current-buffer.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31950: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31950
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31950: 26.1; skeleton: ‘recenter’ing a window that does not display current-buffer.
From: Eli Zaretskii <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Jun 2018 14:05:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From:  Leo Liu <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 30 Jun 2018 17:30:35 +0800
> 
> On 2018-06-30 12:08 +0300, Eli Zaretskii wrote:
> > Thanks, I think I fixed this now on the emacs-26 branch.  Please test.
> 
> Yes, it is fixed. Thanks, Eli.

Thanks for testing, I'm therefore closing this bug.

Subject: 26.1; skeleton: ‘recenter’ing a window that does not display current-buffer.
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sat, 23 Jun 2018 22:12:06 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Save this to file t.el

-------- file t.el --------
(with-temp-buffer
  (skeleton-insert '(nil "if" > \n > _ \n "end")))
---------------------------

2. emacs -batch -l ./t.el

getting error:

  ‘recenter’ing a window that does not display current-buffer.

Leo